proc get-boolean {val} \
{
    	switch -exact -- $val \
	{
		y - yes - t - true - 1 - on {return 1}
		n - no - f - false - 0 - off {return 0}
		default {error "$val is not a boolean value"}
    	}
}

proc merge-boolean {val curval} \
{
    	if {"$val" == "!"} \
	{
		return [expr ! $curval]
    	}\
	else\
	{
		return [get-boolean $val]
    	}
}
